package com.nisum;

import org.junit.Assert;
import org.junit.Test;

public class ZigZagConversionAlgoTest {

    @Test
    public void baseCases(){
        String res1 = ZigZagConversionAlgo.convertString("PAYPALISHIRING", 3);
        String res2 = ZigZagConversionAlgo.convertString("PAYPALISHIRING", 4);
        String res3 = ZigZagConversionAlgo.convertString("A", 1);

        Assert.assertTrue("result 1 incorrect",res1.equals("PAHNAPLSIIGYIR"));
        Assert.assertTrue("result 2 incorrect",res2.equals("PINALSIGYAHRPI"));
        Assert.assertEquals("result 3 incorrect", res3, "A");
    }

//    @Test
//    public void handlesOutOfBounds(){
//        String res1 = ZigZagConversionAlgo.convertString("PAYPALISHIRING", -1);
//
//        Assert.assertFalse(res1.getClass() == "String");
//        Assert.assertTrue;
//
//    }

}
/*
        Example 1:

                Input: s = "PAYPALISHIRING", numRows = 3
                Output: "PAHNAPLSIIGYIR"
                Example 2:

                Input: s = "PAYPALISHIRING", numRows = 4
                Output: "PINALSIGYAHRPI"
                Explanation:
                P     I    N
                A   L S  I G
                Y A   H R
                P     I
                Example 3:

                Input: s = "A", numRows = 1
                Output: "A"


                Constraints:

                1 <= s.length <= 1000
                s consists of English letters (lower-case and upper-case), ',' and '.'.
                1 <= numRows <= 1000

 */
